<?php

/**
 * WooCommerce B2B Sales Agents Posts
 *
 * @version 1.0.9
 */

defined( 'ABSPATH' ) || exit;

/**
 * WCB2BSA_Admin_Posts
 */
class WCB2BSA_Admin_Posts {

    /**
     * Constructor
     */
    public function __construct() {
        $this->init_hooks();
    }

    /**
     * Init current class hooks
     */
    public function init_hooks() {
        add_filter( 'display_post_states', array( $this, 'post_state' ), 10, 2 );
    }

    /**
     * Add post state to the sales agents dashboard page 
     */
    public function post_state( $post_states, $post ) {
        if ( $post->ID == get_option( 'wcb2bsa_dashboard_page' ) ) {
            $post_states[] = __( 'Sales agents dashboard', 'woocommerce-b2b-sales-agents' );
        }
        return $post_states;
    }

}

return new WCB2BSA_Admin_Posts();