<?php

/**
 * WooCommerce B2B Sales Agents Reports
 *
 * @version 1.0.7
 */

defined( 'ABSPATH' ) || exit;

/**
 * WCB2BSA_Admin_Reports
 */
class WCB2BSA_Admin_Reports {

    /**
     * Constructor
     */
    public function __construct() {
        $this->init_hooks();
    }

    /**
     * Init current class hooks
     */
    public function init_hooks() {
        add_filter( 'woocommerce_admin_reports', array( $this, 'sales_by_sales_agent' ) );
    }

    /**
     * Report: orders by sales agent
     * 
     * @param array $reports Reports
     * @return array
     */
    public function sales_by_sales_agent( $reports ) {
        $orders = array(
            'sales_by_sales_agent' => array(
                'title'       => __( 'Sales by sales agent', 'woocommerce-b2b-sales-agents' ),
                'description' => '',
                'hide_title'  => true,
                'function'    => function() {
                    $report = new WCB2BSA_Report_Sales_By_Sales_Agent();
                    $report->output_report();
                },
            ),
        );
        // Add new report
        if ( isset( $reports['orders']['reports'] ) ) {
            $reports['orders']['reports'] = array_merge( $reports['orders']['reports'], $orders );
        }
        return $reports;
    }

}

return new WCB2BSA_Admin_Reports();