<?php

/**
 * WooCommerce B2B Sales Agents Frontend set-up Class
 *
 * @version 1.2.6
 */

defined( 'ABSPATH' ) || exit;

/**
 * WCB2BSA_Frontend Class
 */
class WCB2BSA_Frontend {

    /**
     * Constructor
     */
    public function __construct() {
        $this->includes();
        $this->init_hooks();
    }

    /**
     * Init current class hooks
     */
    public function init_hooks() {
        add_action( 'wp_enqueue_scripts', array( $this, 'print_styles' ) );
        add_action( 'wp_enqueue_scripts', array( $this, 'print_scripts' ) );
        add_action( 'wcb2bsa_print_styles', 'wcb2bsa_print_styles' );
        add_action( 'wcb2bsa_print_scripts', 'wcb2bsa_print_scripts' );
    }

    /**
     * Include any classes we need within frontend
     */
    public function includes() {
        include_once WCB2BSA_ABSPATH . 'includes/classes/class-wcb2bsa-frontend-products.php';
        include_once WCB2BSA_ABSPATH . 'includes/classes/class-wcb2bsa-frontend-checkout.php';
        include_once WCB2BSA_ABSPATH . 'includes/classes/class-wcb2bsa-frontend-orders.php';
        include_once WCB2BSA_ABSPATH . 'includes/classes/class-wcb2bsa-frontend-myaccount.php';
    }

    /**
     * Print styles
     */
    public function print_styles() {
        wp_register_style( 'wcb2bsa_frontend', plugins_url( 'assets/css/frontend.min.css', WCB2BSA_PLUGIN_FILE ), false, '1.2.6' );
        wp_enqueue_style( 'wcb2bsa_frontend' );
    }

    /**
     * Print scripts
     */
    public function print_scripts() {
        if ( is_checkout() ) {
            wp_register_script( 'wcb2bsa_checkout', plugins_url( 'assets/js/checkout.min.js', WCB2BSA_PLUGIN_FILE ), array( 'selectWoo' ), '1.0.7', true );
            wp_enqueue_script( 'wcb2bsa_checkout' );
        }
    }

}

return new WCB2BSA_Frontend();