<?php

/**
 * WooCommerce B2B Sales Agents Admin Report_Sales_By_Sales_Agent Class
 *
 * @version 1.0.7
 */

defined( 'ABSPATH' ) || exit;

if ( class_exists( 'WCB2BSA_Report_Sales_By_Sales_Agent', false ) ) {
    return new WCB2BSA_Report_Sales_By_Sales_Agent();
}

class WCB2BSA_Report_Sales_By_Sales_Agent extends WC_Admin_Report {

    /**
     * Display wrapper
     */
    public function output_report() {
        $ranges = array(
            'year'         => __( 'Year', 'woocommerce-b2b-sales-agents' ),
            'last_month'   => __( 'Last month', 'woocommerce-b2b-sales-agents' ),
            'month'        => __( 'This month', 'woocommerce-b2b-sales-agents' ),
        );
        $current_range = ! empty( $_GET['range'] ) ? sanitize_text_field( $_GET['range'] ) : 'month';

        if ( ! in_array( $current_range, array( 'custom', 'year', 'last_month', '7day' ) ) ) {
            $current_range = 'month';
        }

        $this->check_current_range_nonce( $current_range );
        $this->calculate_current_range( $current_range );

        $hide_sidebar = true;

        include WC()->plugin_path() . '/includes/admin/views/html-report-by-date.php';
    }

    /**
     * Display specific data
     */
    public function get_main_chart() {
        global $wpdb;

        $args = array(
            'data'                  => array(
                'wcb2bsa_sales_agent' => array(
                    'type'     => 'meta',
                    'function' => '',
                    'name'     => 'sales_agent'
                ),
                'ID' => array(
                    'type'     => 'post_data',
                    'function' => 'COUNT',
                    'name'     => 'order_count',
                    'distinct' => true,
                ),
                '_order_total'   => array(
                    'type'      => 'meta',
                    'function'  => 'SUM',
                    'name'      => 'order_total'
                )
            ),
            'query_type'            => 'get_results',
            'group_by'              => 'sales_agent',
            'filter_range'          => true,
            'order_types'           => wc_get_order_types( 'sales-reports' ),
            'order_by'              => 'order_total',
            'where_meta'            => array(
                array(
                    'meta_key'      => 'wcb2bsa_sales_agent',
                    'meta_value' => '',
                    'operator' => '!='
                )
            )
        );
        $orders = $this->get_order_report_data( $args );
        include_once WCB2BSA_ABSPATH . 'includes/views/html-admin-report-sales-by-sales-agent.php';
    }

}