<?php

/**
 * WooCommerce B2B Sales Agents Admin Orders view
 *
 * @version 1.2.0
 */

defined( 'ABSPATH' ) || exit;

$order_sales_agent = $order->get_meta( 'wcb2bsa_sales_agent', true );
$order_item_types_eligible_for_commission = $order->get_meta( 'wcb2bsa_order_item_types_eligible_for_commission', true );
$order_created_by = $order->get_meta( 'wcb2bsa_created_by', true );

// Get all the meta data values we need
$sales_agents = wcb2bsa_get_sales_agents();
$order_sales_agent_options = array( '' => esc_html__( '-- No sales agent --', 'woocommerce-b2b-sales-agents' ) );
if ( ! empty( $sales_agents->get_results() ) ) {
    foreach ( $sales_agents->get_results() as $sales_agent ) {
        $order_sales_agent_options[$sales_agent->ID] = $sales_agent->display_name;
    }
}
wp_reset_postdata();
?>

<br class="clear" />
<div class="wcb2bsa-page-order">
    <br />
    <div class="wcb2b-card">
        <input type="checkbox" id="wcb2bsa-collapse_<?php echo $order->get_id(); ?>" checked>
        <div class="wcb2b-card-title">
            <?php esc_html_e( 'WooCommerce B2B Sales Agents', 'woocommerce-b2b-sales-agents' ); ?>
                
            <label for="wcb2bsa-collapse_<?php echo $order->get_id(); ?>"></label>
        </div>
        <div class="wcb2b-card-body">

            <h3><?php printf( '%s <a class="edit_address" href="#">%s</a>', esc_html__( 'Sales agent', 'woocommerce-b2b-sales-agents' ), esc_html__( 'Edit', 'woocommerce-b2b-sales-agents' ) ); ?></h3>
            <div><?php echo $order_sales_agent ? wp_kses_post( $order_sales_agent_options[$order_sales_agent] ) : '-'; ?></div>
            <div class="edit_address">

                <?php
                    woocommerce_wp_select( array(
                        'id'            => 'wcb2bsa_sales_agent',
                        'label'         => esc_html__( 'Sales agent', 'woocommerce-b2b-sales-agents' ),
                        'value'         => $order_sales_agent,
                        'options'       => $order_sales_agent_options,
                        'wrapper_class' => 'form-field-wide'
                    ) );
                ?>
                
            </div>
            <h3><?php esc_html_e( 'Apply commission to', 'woocommerce-b2b-sales-agents' ); ?></h3>
            <div><?php echo $order_item_types_eligible_for_commission ? wp_kses_post( implode( ', ', array_intersect_key( WCB2BSA_Configuration::get_order_item_types_eligible_for_commission( false ), $order_item_types_eligible_for_commission ) ) ) : '-'; ?></div>
            <div class="edit_address">

                <?php
                    woocommerce_wp_multicheckbox( array(
                        'id'            => 'wcb2bsa_order_item_types_eligible_for_commission',
                        'value'         => $order_item_types_eligible_for_commission,
                        'options'       => WCB2BSA_Configuration::get_order_item_types_eligible_for_commission( false )
                    ) );
                ?>

            </div>
            <h3><?php esc_html_e( 'Created by', 'woocommerce-b2b-sales-agents' ); ?></h3>
            <div><?php echo wcb2bsa_get_order_author( $order ); ?></div>
            <div class="edit_address">

                <?php
                    woocommerce_wp_select( array(
                        'id'            => 'wcb2bsa_created_by',
                        'label'         => esc_html__( 'Created by', 'woocommerce-b2b-sales-agents' ),
                        'value'         => $order_created_by,
                        'options'       => WCB2BSA_Configuration::get_order_created_by(),
                        'wrapper_class' => 'form-field-wide'
                    ) );
                ?>

            </div>
        </div>
    </div>
    <br />
</div>