<?php

/**
 * WooCommerce B2B Sales Agents Admin Product commissions tab
 *
 * @version 1.1.3
 */

defined( 'ABSPATH' ) || exit;

?>

<div id="wcb2bsa_product_data" class="panel woocommerce_options_panel">
    <div class="wcb2b-card">
        <input type="checkbox" id="wcb2bsa-collapse_<?php echo $post->ID; ?>" checked>
        <div class="wcb2b-card-title">
            <?php esc_html_e( 'WooCommerce B2B Sales Agents', 'woocommerce-b2b-sales-agents' ); ?>
                
            <label for="wcb2bsa-collapse_<?php echo $post->ID; ?>"></label>
        </div>
        <div class="wcb2b-card-body">
            
            <?php
                foreach ( $sales_agents->get_results() as $sales_agent ) {
                    woocommerce_wp_text_input( array(
                        'id'            => '_wcb2bsa_commissions_' . $sales_agent->ID,
                        'type'          => 'number',
                        'name'          => 'wcb2bsa_commissions[' . $sales_agent->ID . ']',
                        'label'         => sprintf( __( '%s (%%)', 'woocommerce-b2b-sales-agents' ), $sales_agent->display_name ),
                        'description'   => __( 'Assign a dedicated commission for this product by sales agent. If empty, sales agent global commission will be considered.', 'woocommerce-b2b-sales-agents' ),
                        'desc_tip'      => true,
                        'value'         => isset( $commissions[$sales_agent->ID] ) ? $commissions[$sales_agent->ID] : false,
                        'required'      => true,
                        'class'         => 'short wc_input_price',
                        'custom_attributes'     => array(
                            'min'   => 0,
                            'step'  => 0.01
                        )
                    ) );
                }
            ?>
        
        </div>
    </div>
</div>