<?php

/**
 * WooCommerce B2B Sales Agents Admin Product prices tab
 *
 * @version 1.2.1
 */

defined( 'ABSPATH' ) || exit;
?>

<div class="wcb2b_options_group options_group show_if_simple show_if_variable hide_if_external">
    <div class="wcb2b-card">
        <input type="checkbox" id="wcb2bsa-collapse_<?php echo $post_id; ?>" checked>
        <div class="wcb2b-card-title">
            <?php esc_html_e( 'WooCommerce B2B Sales Agents', 'woocommerce-b2b-sales-agents' ); ?>
                
            <label for="wcb2bsa-collapse_<?php echo $post_id; ?>"></label>
        </div>
        <div class="wcb2b-card-body">
            <section class="wcb2b-section">
                <div class="wcb2b-heading"><?php _e( 'Minimum price', 'woocommerce-b2b-sales-agents' ); ?></div>
                <div class="wcb2b-form">
                    
                    <?php
                        woocommerce_wp_text_input( array(
                            'id'            => '_wcb2bsa_min_price',
                            'type'          => 'text',
                            'class'         => 'short wc_input_price',
                            'name'          => 'wcb2bsa_min_price[' . $post_id . ']',
                            'label'         => __( 'Price', 'woocommerce-b2b-sales-agents' ),
                            'value'         => number_format(
                                floatval( $product_min_price ),
                                wc_get_price_decimals(),
                                wc_get_price_decimal_separator(),
                                ''
                            ),
                            'required'      => false,
                            'wrapper_class' => 'wcb2b-form-field',
                            'description'   => __( 'Minimum price allowed if sales agent can edit prices in cart', 'woocommerce-b2b-sales-agents' )
                        ) );
                    ?>

                </div>
            </section>        
        </div>
    </div>
</div>