<?php

/**
 * Admin Report View: Sales agents
 *
 * @version 1.0.7
 */

defined( 'ABSPATH' ) || exit;

?>

<table class="widefat">
    <thead>
        <tr>
            <th><strong><?php esc_html_e( 'Sales agent', 'woocommerce-b2b-sales-agents' ); ?></strong></th>
            <th><strong><?php esc_html_e( 'Total revenue', 'woocommerce-b2b-sales-agents' ); ?></strong></th>
            <th><strong><?php esc_html_e( 'Number of orders', 'woocommerce-b2b-sales-agents' ); ?></strong></th>

        </tr>
    </thead>
    <tbody>

    <?php if ( $orders ) : ?>

        <?php foreach( $orders as $order ) : ?>
        <tr>
            <td>
                <?php
                    $user = get_user_by( 'id', $order->sales_agent );
                    printf( '%s %s', $user->first_name, $user->last_name ); 
                ?>
            </td>
            <td><?php echo wc_price( $order->order_total ); ?></td>
            <td><?php echo $order->order_count; ?></td>
        </tr>
        <?php endforeach; ?>

    <?php else : ?>

        <tr><td colspan="3" align="center"><?php esc_html_e( 'No data to show', 'woocommerce-b2b-sales-agents' ); ?></td></tr>

    <?php endif; ?>

    </tbody>
</table>