<?php
/**
 * Sales agent approval notification
 *
 * @version 1.3.0
 */

defined( 'ABSPATH' ) || exit;

$user = get_userdata( $user_id );

do_action( 'woocommerce_email_header', $email_heading, $email );

?>

<p><?php printf( esc_html__( 'Hi %s,', 'woocommerce-b2b-sales-agents' ), $user->first_name ); ?></p>
<p><?php esc_html_e( 'Your account is approved and you are now able to work.', 'woocommerce-b2b-sales-agents' ); ?></p>
<p><?php printf( esc_html__( 'You can now start purchasing and access your dashboard at: %s', 'woocommerce-b2b-sales-agents' ), make_clickable( esc_url( get_permalink( get_option( 'wcb2bsa_dashboard_page' ) ) ) ) ); ?></p>

<?php
    if ( $additional_content ) {
        echo wp_kses_post( wpautop( wptexturize( $additional_content ) ) );
    }
?>

<?php do_action( 'woocommerce_email_footer', $email ); ?>