<?php
/**
 * WooCommerce B2B Sales Agents MyAccount - Sidebar
 *
 * @version 1.0.4
 */
?>

<?php defined( 'ABSPATH' ) || exit; ?>

<div class="flex-grow-0 bg-dark text-center p-3">
    <img src="<?php echo esc_url( wcb2bsa_get_logo() ); ?>" class="img-fluid">
</div>
<div class="flex-grow-0 text-center border-right d-none d-xl-block p-3">
    <br />
    <span class="fa-stack fa-2x">
        <i class="fas fa-circle fa-stack-2x"></i>
        <i class="fas fa-user fa-stack-1x fa-inverse"></i>
    </span>
    <p><?php printf( '%s', wp_kses_post( $sales_agent->display_name ) ); ?></p>
</div>
<div id="menu" class="flex-grow-1 border-right p-3 collapse dont-collapse-xl">
    
    <?php foreach ( wcb2bsa_get_account_menu_items() as $section => $entries ) : ?>

        <div class="text-muted text-uppercase small"><?php echo wp_kses_post( $entries['label'] ); ?></div>
        <fieldset>
            <div class="list-group list-group-flush">

                <?php foreach ( $entries['entries'] as $endpoint_id => $endpoint ) : ?>
                <a class="list-group-item list-group-item-action d-flex justify-content-between align-items-center" href="<?php echo esc_url( wcb2bsa_get_account_endpoint_url( $endpoint_id ) ); ?>">
                    <span>
                        <i class="<?php echo esc_attr( $endpoint['icon'] ); ?> mr-2"></i> <?php echo wp_kses_post( $endpoint['label'] ); ?>
                    </span>

                    <?php if ( isset( $endpoint['counter'] ) && $endpoint['counter'] ) : ?>
                    <span class="badge badge-pill badge-danger"><?php echo $endpoint['counter']; ?></span>
                    <?php endif; ?>

                    <i class="fas fa-xs fa-chevron-right"></i>
                </a>
                <?php endforeach; ?>

            </div>
        </fieldset>
        <br />

    <?php endforeach; ?>

</div>