<?php
/**
 * WooCommerce B2B Sales Agents MyAccount - Dashboard page
 *
 * @version 1.2.0
 */
?>

<?php defined( 'ABSPATH' ) || exit; ?>

<div class="card-deck">

    <?php if ( $manager ) : ?>
    <div class="card shadow-sm mb-4">
        <div class="card-body">
            <div class="card-title text-uppercase text-muted mb-2"><?php esc_html_e( 'Your sales agent manager', 'woocommerce-b2b-sales-agents' ); ?></div>
            <div class="row align-items-center">
                <div class="col-auto">
                    <div class="text-muted"><i class="fas fa-user-secret fa-3x"></i></div>
                </div>
                <div class="col">
                    <?php printf( esc_html__( 'First name: %s', 'woocommerce-b2b-sales-agents' ), $manager->first_name ); ?> 
                    <br />
                    <?php printf( esc_html__( 'Last name: %s', 'woocommerce-b2b-sales-agents' ), $manager->last_name ); ?>
                    <br />
                    <?php printf( esc_html__( 'Email: %s', 'woocommerce-b2b-sales-agents' ), $manager->user_email ); ?>
                    <br />
                    <?php printf( esc_html__( 'Telephone: %s', 'woocommerce-b2b-sales-agents' ), $manager->billing_phone ); ?>
                </div>
            </div>
        </div>
    </div>
    <?php endif; ?>    

    <?php if ( 'yes' == get_option( 'wcb2bsa_enable_affiliation' ) ) : ?>
    <div class="card shadow-sm mb-4">
        <div class="card-body">
            <div class="card-title text-uppercase text-muted mb-2"><?php esc_html_e( 'Your affiliate link', 'woocommerce-b2b-sales-agents' ); ?></div>
            <div class="form-group">
                <div class="input-group">
                    <input type="text" id="copy-text" class="form-control" value="<?php echo wcb2bsa_get_affiliate_link(); ?>" readonly />
                    <div class="input-group-append">
                        <button id="btn-copy" class="btn btn-sm btn-outline-dark" data-clipboard-target="#copy-text" data-toggle="tooltip" data-placement="top" title="<?php _e( 'Copied!', 'woocommerce-b2b-sales-agents' ); ?>" data-trigger="manual"><i class="far fa-copy"></i></button>
                    </div>
                </div>
                <small class="form-text text-muted"><?php esc_html_e( 'Share this link with your customers, so when they register will be automatically assigned to you.', 'woocommerce-b2b-sales-agents' ); ?></small>
            </div>
        </div>
    </div>
    <?php endif; ?>

</div>


<?php if ( count( $widgets ) ) : ?>
<div class="row">

    <?php foreach ( $widgets as $widget ) : ?>
    <div class="col-sm-3">
        <div class="card shadow-sm mb-4">
            <div class="card-body">
                <div class="card-title text-uppercase text-muted mb-2"><?php echo wp_kses_post( $widget['label'] ); ?></div>
                <div class="row align-items-center">
                    <div class="col">
                        <span class="h2 mb-0"><?php echo wp_kses_post( $widget['value'] ); ?></span>
                    </div>
                    <div class="col-auto">
                        <div class="text-muted"><i class="<?php echo esc_attr( $widget['icon'] ); ?> fa-3x"></i></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php endforeach; ?>

</div>
<?php endif; ?>

<?php if ( count( $stats ) ) : ?>
<div class="row">

    <?php foreach ( $stats as $stat ) : ?>
    <div class="col-sm-6">
        <div class="card shadow-sm mb-4">
            <div class="card-body">
                <canvas class="chart mb-4" data-params="<?php echo esc_attr( $stat ); ?>"></canvas>
            </div>
        </div>
    </div>
    <?php endforeach; ?>
    
</div>
<?php endif; ?>