<?php
/**
 * WooCommerce B2B Sales Agents MyAccount - Edit account
 *
 * @version 1.2.2
 */
?>

<?php defined( 'ABSPATH' ) || exit; ?>

<form action="" method="post">
    <input type="hidden" name="action" value="save_account_details" />
    <input type="hidden" name="account_display_name" id="account_display_name" value="<?php echo esc_attr( $sales_agent->display_name ); ?>" />

    <div class="card-deck">
        <div class="card shadow-sm mb-4">
            <div class="card-body">
                <div class="card-title text-uppercase text-muted mb-5"><?php esc_html_e( 'Profile change', 'woocommerce-b2b-sales-agents' ); ?></div>
                <div class="row align-items-center">
                    <div class="col">
                        <div class="form-group">
                            <label class="text-uppercase text-muted small" for="account_first_name"><?php esc_html_e( 'First name', 'woocommerce-b2b-sales-agents' ); ?>&nbsp;<span class="text-danger">*</span></label>
                            <input type="text" class="form-control bg-light" name="account_first_name" id="account_first_name" autocomplete="given-name" value="<?php echo esc_attr( $sales_agent->first_name ); ?>">
                        </div>
                        <div class="form-group">
                            <label class="text-uppercase text-muted small" for="account_last_name"><?php esc_html_e( 'Last name', 'woocommerce-b2b-sales-agents' ); ?>&nbsp;<span class="text-danger">*</span></label>
                            <input type="text" class="form-control bg-light" name="account_last_name" id="account_last_name" autocomplete="family-name" value="<?php echo esc_attr( $sales_agent->last_name ); ?>">
                        </div>
                        <div class="form-group">
                            <label class="text-uppercase text-muted small" for="account_email"><?php esc_html_e( 'Email address', 'woocommerce-b2b-sales-agents' ); ?>&nbsp;<span class="text-danger">*</span></label>
                            <input type="email" class="form-control bg-light" name="account_email" id="account_email" autocomplete="email" value="<?php echo esc_attr( $sales_agent->user_email ); ?>">
                        </div>
                        <div class="form-group">
                            <label class="text-uppercase text-muted small" for="billing_phone"><?php esc_html_e( 'Phone', 'woocommerce-b2b-sales-agents' ); ?></label>
                            <input type="tel" class="form-control bg-light" name="billing_phone" id="billing_phone" autocomplete="tel" value="<?php echo esc_attr( $sales_agent->billing_phone ); ?>">
                        </div>
                        <div class="custom-control custom-checkbox">
                            <input type="checkbox" class="custom-control-input" id="wcb2bsa_order_notification" name="wcb2bsa_order_notification" value="1" <?php checked( get_the_author_meta( 'wcb2bsa_order_notification', $sales_agent->ID ), true ); ?>>
                            <label class="custom-control-label text-uppercase text-muted small" for="wcb2bsa_order_notification"><?php esc_html_e( 'Receive order notification', 'woocommerce-b2b-sales-agents' ); ?></label>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card shadow-sm mb-4">
            <div class="card-body">
                <div class="card-title text-uppercase text-muted mb-5"><?php esc_html_e( 'Password change', 'woocommerce-b2b-sales-agents' ); ?></div>
                <div class="row align-items-center">
                    <div class="col">
                        <div class="form-group">
                            <label class="text-uppercase text-muted small" for="password_current"><?php esc_html_e( 'Current password', 'woocommerce-b2b-sales-agents' ); ?></label>
                            <input type="password" class="form-control bg-light" name="password_current" id="password_current" placeholder="<?php esc_attr_e( '(leave blank to leave unchanged)', 'woocommerce-b2b-sales-agents' ); ?>" autocomplete="off">
                        </div>
                        <div class="form-group">
                            <label class="text-uppercase text-muted small" for="password_1"><?php esc_html_e( 'New password', 'woocommerce-b2b-sales-agents' ); ?></label>
                            <input type="password" class="form-control bg-light" name="password_1" id="password_1" placeholder="<?php esc_attr_e( '(leave blank to leave unchanged)', 'woocommerce-b2b-sales-agents' ); ?>" autocomplete="off">
                        </div>
                        <div class="form-group">
                            <label class="text-uppercase text-muted small" for="password_2"><?php esc_html_e( 'Confirm new password', 'woocommerce-b2b-sales-agents' ); ?></label>
                            <input type="password" class="form-control bg-light" name="password_2" id="password_2" autocomplete="off">
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card shadow-sm mb-4">
            <div class="card-body">
                <div class="card-title text-uppercase text-muted mb-5"><?php esc_html_e( 'Payment preferences', 'woocommerce-b2b-sales-agents' ); ?></div>
                <div class="row align-items-center">
                    <div class="col">
                        <div class="form-group">
                            <label class="text-uppercase text-muted small" for="wcb2bsa_payment_method"><?php esc_html_e( 'Payment method', 'woocommerce-b2b-sales-agents' ); ?></label>
                            <select class="form-control bg-light" name="wcb2bsa_payment_method" id="wcb2bsa_payment_method">
                                <?php
                                    printf( '<option value="">%s</option>',
                                        __( '-- None --', 'woocommerce-b2b-sales-agents' )
                                    );
                                    foreach ( $payment_methods as $key => $value ) {
                                        printf( '<option value="%s" %s>%s</option>',
                                            $key,
                                            selected( get_the_author_meta( 'wcb2bsa_payment_method', $sales_agent->ID ), $key ),
                                            $value
                                        );
                                    }
                                ?>
                            </select>
                        </div>
                        <div class="form-group">
                            <label class="text-uppercase text-muted small" for="wcb2bsa_payment_method_info"><?php esc_html_e( 'Payment informations', 'woocommerce-b2b-sales-agents' ); ?></label>
                            <textarea class="form-control bg-light" name="wcb2bsa_payment_method_info" id="wcb2bsa_payment_method_info" placeholder="<?php esc_attr_e( 'Please add all information needed to receive your payouts', 'woocommerce-b2b-sales-agents' ); ?>" rows="6"><?php echo get_the_author_meta( 'wcb2bsa_payment_method_info', $sales_agent->ID ); ?></textarea>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br />
    <div class="text-center text-sm-right">
        <button type="submit" class="btn btn-dark" name="save_account_details"><i class="fas fa-save mr-2"></i> <?php esc_html_e( 'Save changes', 'woocommerce-b2b-sales-agents' ); ?></button>
    </div>

    <?php wp_nonce_field( 'save_account_details', 'save-account-details-nonce' ); ?>

</form>