<?php
/**
 * WooCommerce B2B Sales Agents MyAccount - Form add order note
 *
 * @version  1.1.2
 */
?>

<?php defined( 'ABSPATH' ) || exit; ?>

<div class="modal fade" id="modal-add-order-note">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <form method="post">

                <?php wp_nonce_field( 'add-order-note', 'add-order-note-nonce' ); ?>
                
                <div class="modal-header">
                    <div class="h5 modal-title"><?php _e( 'Add order note', 'woocommerce-b2b-sales-agents' ); ?></div>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <input type="hidden" name="order_id" value="<?php echo $order->get_id(); ?>">
                    <div class="form-group">
                        <label for="order_note_type"><?php esc_html_e( 'Choose note visibility', 'woocommerce-b2b-sales-agents' ); ?></label>
                        <select class="custom-select bg-light" id="order_note_type" name="order_note_type">
                            <option value="0"><?php esc_html_e( 'Private note', 'woocommerce-b2b-sales-agents' ); ?></option>
                            <option value="1"><?php esc_html_e( 'Note to customer', 'woocommerce-b2b-sales-agents' ); ?></option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="order_note"><?php esc_html_e( 'Enter your note', 'woocommerce-b2b-sales-agents' ); ?></label>
                        <textarea class="form-control" id="order_note" name="order_note"></textarea>
                        <div class="form-text text-muted small"><?php esc_html_e( 'Caution, only shop manager can delete note.', 'woocommerce-b2b-sales-agents' ); ?></div>
                    </div>
                </div>
                <div class="modal-footer justify-content-start">
                    <button type="submit" class="btn btn-dark" name="add-order-note" value="<?php esc_attr_e( 'Add', 'woocommerce-b2b-sales-agents' ); ?>"><i class="fas fa-save mr-2"></i> <?php esc_html_e( 'Add order note', 'woocommerce-b2b-sales-agents' ); ?></button>
                </div>
            </form>
        </div>
    </div>
</div>