<?php
/**
 * WooCommerce B2B Sales Agents MyAccount - Form new customer
 *
 * @version 1.2.7
 */
?>

<?php defined( 'ABSPATH' ) || exit; ?>

<br />
<div class="text-center text-sm-left">
    <button type="button" class="btn btn-dark" data-toggle="modal" data-target="#modal-new-customer">
        <i class="fas fa-user-plus mr-2"></i> 
        <?php esc_html_e( 'Add new customer', 'woocommerce-b2b-sales-agents' ); ?>
    </button>
</div>

<div class="modal fade" id="modal-new-customer">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <form method="post" class="woocommerce-form woocommerce-form-register register" <?php do_action( 'woocommerce_register_form_tag' ); ?> >
                <?php wp_nonce_field( 'woocommerce-register', 'woocommerce-register-nonce' ); ?>
                
                <div class="modal-header">
                    <div class="h5 modal-title"><?php _e( 'Add new customer', 'woocommerce-b2b-sales-agents' ); ?></div>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">

                    <?php do_action( 'wcb2bsa_new_customer_form', 'customer' ); ?>

                    <?php if ( 'no' === get_option( 'woocommerce_registration_generate_username' ) ) : ?>
                    <div class="form-group">
                        <label for="reg_username"><?php esc_html_e( 'Username', 'woocommerce-b2b-sales-agents' ); ?>&nbsp;<abbr class="required" title="<?php esc_html_e( 'required', 'woocommerce-b2b-sales-agents' ); ?>">*</abbr></label>
                        <input type="text" class="form-control bg-light" name="username" id="reg_username" autocomplete="username" value="<?php echo ( ! empty( $_POST['username'] ) ) ? esc_attr( wp_unslash( $_POST['username'] ) ) : ''; ?>" />
                    </div>
                    <?php endif; ?>

                    <div class="form-group">
                        <label for="reg_email"><?php esc_html_e( 'Email address', 'woocommerce-b2b-sales-agents' ); ?>&nbsp;<abbr class="required" title="<?php esc_html_e( 'required', 'woocommerce-b2b-sales-agents' ); ?>">*</abbr></label>
                        <input type="email" class="form-control bg-light" name="email" id="reg_email" autocomplete="email" value="<?php echo ( ! empty( $_POST['email'] ) ) ? esc_attr( wp_unslash( $_POST['email'] ) ) : ''; ?>" />
                    </div>

                    <?php if ( 'no' === get_option( 'woocommerce_registration_generate_password' ) ) : ?>
                    <div class="form-group">
                        <label for="reg_password"><?php esc_html_e( 'Password', 'woocommerce-b2b-sales-agents' ); ?>&nbsp;<abbr class="required" title="<?php esc_html_e( 'required', 'woocommerce-b2b-sales-agents' ); ?>">*</abbr></label>
                        <input type="password" class="form-control bg-light" name="password" id="reg_password" autocomplete="new-password" />
                    </div>
                    <?php else : ?>
                    <p class="text-muted small"><?php esc_html_e( 'A password will be sent to your email address.', 'woocommerce-b2b-sales-agents' ); ?></p>
                    <?php endif; ?>

                </div>
                <div class="modal-footer justify-content-between">
                    <div class="custom-control custom-switch">
                        <input type="checkbox" class="custom-control-input" id="autoswitch" name="autoswitch" value="1">
                        <label class="custom-control-label small" for="autoswitch"><?php esc_html_e( 'Switch on new customer account', 'woocommerce-b2b-sales-agents' ); ?></label>
                    </div>
                    <button type="submit" class="btn btn-dark" name="register" value="<?php esc_attr_e( 'Register', 'woocommerce-b2b-sales-agents' ); ?>"><i class="fas fa-save mr-2"></i> <?php esc_html_e( 'Create customer', 'woocommerce-b2b-sales-agents' ); ?></button>
                </div>
            </form>
        </div>
    </div>
</div>