<?php
/**
 * WooCommerce B2B Sales Agents MyAccount - Form update order status
 *
 * @version 1.1.2
 */
?>

<?php defined( 'ABSPATH' ) || exit; ?>

<div class="modal fade" id="modal-update-order-status">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <form method="post">

                <?php wp_nonce_field( 'update-order-status', 'update-order-status-nonce' ); ?>
                
                <div class="modal-header">
                    <div class="h5 modal-title"><?php _e( 'Update order status', 'woocommerce-b2b-sales-agents' ); ?></div>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <input type="hidden" name="order_id" value="<?php echo $order->get_id(); ?>">
                    <div class="form-group">
                        <label for="order_status"><?php esc_html_e( 'Choose new status', 'woocommerce-b2b-sales-agents' ); ?></label>
                        <select class="custom-select bg-light" id="order_status" name="order_status">
                            <?php
                                foreach ( wc_get_order_statuses() as $key => $status ) {
                                    printf( '<option value="%s" %s>%s</option>',
                                        $key,
                                        selected( $key, sprintf( 'wc-%s', $order->get_status() ), false ),
                                        $status
                                    );
                                }
                            ?>
                        </select>
                    </div>
                </div>
                <div class="modal-footer justify-content-start">
                    <button type="submit" class="btn btn-dark" name="update-order-status" value="<?php esc_attr_e( 'Update', 'woocommerce-b2b-sales-agents' ); ?>"><i class="fas fa-save mr-2"></i> <?php esc_html_e( 'Update order status', 'woocommerce-b2b-sales-agents' ); ?></button>
                </div>
            </form>
        </div>
    </div>
</div>