<?php
/**
 * WooCommerce B2B Sales Agents MyAccount - Notifications
 *
 * @version 1.1.2
 */
?>

<?php defined( 'ABSPATH' ) || exit; ?>

<?php if ( ! $has_notifications ) : ?>
<div class="alert alert-dark">
    <div><?php esc_html_e( 'Sorry, there are not notifications', 'woocommerce-b2b-sales-agents' ); ?></div>
</div>
<?php return; endif; ?>
    
<?php foreach ( $notifications as $notification ) : ?>
<div class="card shadow-sm my-3">
    <div class="card-body">
        <div class="row">
            <div class="col-sm-11 text-left">
                <div class="d-flex align-items-center">
                    <?php if ( $notification->unread ) : ?><span class="badge badge-danger mr-3">New</span><?php endif; ?>
                    <div class="font-weight-bold" data-modal="title"><?php echo wp_kses_post( $notification->post_title ); ?></div>
                </div>
                <div class="d-none" data-modal="content"><?php echo wpautop( wp_kses_post( $notification->post_content ) ); ?></div>
            </div>
            <div class="col-sm-1 text-right">
                <div class="text-nowrap small" data-modal="date"><?php echo date_i18n( 'd M Y', strtotime( $notification->post_modified ) ); ?></div>
            </div>
        </div>
        <a href="#modal-notification" class="stretched-link" data-toggle="modal" data-modal-id="<?php echo $notification->ID; ?>"></a>
    </div>
</div>
<?php endforeach; ?>

<div id="modal-notification" class="modal fade">
    <div class="modal-dialog modal-dialog-centered modal-xl">
        <div class="modal-content">
            <div class="modal-header">
                <div class="h5 modal-title"></div>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <div class="modal-body-date text-muted small mb-3"></div>
                <div class="modal-body-content"></div>
            </div>
            <div class="modal-footer justify-content-start">
                <form method="post">

                    <?php wp_nonce_field( 'woocommerce-notifications', 'woocommerce-notifications-nonce' ); ?>

                    <input type="hidden" id="notification" name="notification" value="" readonly>
                    <button class="btn btn-dark" type="submit" name="submit" value="1"><?php esc_html_e( 'Mark as read', 'woocommerce-b2b-sales-agents' ); ?></button>
                    <button class="btn btn-outline-dark" type="submit" name="submit" value="0"><?php esc_html_e( 'Mark as unread', 'woocommerce-b2b-sales-agents' ); ?></button>
                </form>
            </div>
        </div>
    </div>
</div>