<?php
/**
 * WooCommerce B2B Sales Agents MyAccount - Statistics
 *
 * @version 1.2.0
 */
?>

<?php defined( 'ABSPATH' ) || exit; ?>

<div class="card card-body">
    <form method="post">

        <?php wp_nonce_field( 'woocommerce-statistics', 'woocommerce-statistics-nonce' ); ?>
        
        <div class="form-row align-items-end">
            <div class="col-sm-2">
                <div class="form-group">
                    <label class="text-muted small text-uppercase" for="wcb2bsa-statistics-type"><?php esc_html_e( 'Select chart type', 'woocommerce-b2b-sales-agents' ); ?></label>
                    <select class="custom-select bg-light" name="wcb2bsa-statistics-type" id="wcb2bsa-statistics-type">
                    <?php
                        $options = array(
                            'bar'   => esc_html__( 'Bar', 'woocommerce-b2b-sales-agents' ),
                            'line' => esc_html__( 'Line', 'woocommerce-b2b-sales-agents' )
                        );
                        foreach ( $options as $value => $label ) {
                            printf( '<option value="%s" %s>%s</option>',
                                $value,
                                selected( $value, ( isset( $_POST['wcb2bsa-statistics-type'] ) ? sanitize_key( $_POST['wcb2bsa-statistics-type'] ) : '' ), false ),
                                $label
                            );
                        }
                    ?>
                    </select>
                </div>
            </div>
            <div class="col-sm-2">
                <div class="form-group">
                    <label class="text-muted small text-uppercase" for="wcb2bsa-statistics-data"><?php esc_html_e( 'Select data', 'woocommerce-b2b-sales-agents' ); ?></label>
                    <select class="custom-select bg-light" name="wcb2bsa-statistics-data" id="wcb2bsa-statistics-data">
                    <?php
                        $options = array(
                            'customers'   => esc_html__( 'Customers', 'woocommerce-b2b-sales-agents' ),
                            'commissions' => esc_html__( 'Commissions', 'woocommerce-b2b-sales-agents' ),
                            'orders'      => esc_html__( 'Orders', 'woocommerce-b2b-sales-agents' ),
                            'subagents'   => esc_html__( 'Subagents', 'woocommerce-b2b-sales-agents' )
                        );
                        foreach ( $options as $value => $label ) {
                            printf( '<option value="%s" %s>%s</option>',
                                $value,
                                selected( $value, ( isset( $_POST['wcb2bsa-statistics-data'] ) ? sanitize_key( $_POST['wcb2bsa-statistics-data'] ) : '' ), false ),
                                $label
                            );
                        }
                    ?>
                    </select>
                </div>
            </div>
            <div class="col-sm-2">
                <div class="form-group">
                    <label class="text-muted small text-uppercase" for="wcb2bsa-statistics-groupby"><?php esc_html_e( 'Group data by', 'woocommerce-b2b-sales-agents' ); ?></label>
                    <select class="custom-select bg-light" name="wcb2bsa-statistics-groupby" id="wcb2bsa-statistics-groupby">
                    <?php
                        $options = array(
                            'year'  => esc_html__( 'Year', 'woocommerce-b2b-sales-agents' ),
                            'month' => esc_html__( 'Month', 'woocommerce-b2b-sales-agents' ),
                            'day'   => esc_html__( 'Day', 'woocommerce-b2b-sales-agents' )
                        );
                        foreach ( $options as $value => $label ) {
                            printf( '<option value="%s" %s>%s</option>',
                                $value,
                                selected( $value, ( isset( $_POST['wcb2bsa-statistics-groupby'] ) ? sanitize_key( $_POST['wcb2bsa-statistics-groupby'] ) : '' ), false ),
                                $label
                            );
                        }
                    ?>
                    </select>
                </div>
            </div>
            <div class="col-sm-2">
                <div class="form-group">
                    <label class="text-muted small text-uppercase" for="wcb2bsa-statistics-daterange"><?php esc_html_e( 'Choose date range', 'woocommerce-b2b-sales-agents' ); ?></label>
                    <input type="text" class="form-control bg-light" name="wcb2bsa-statistics-daterange" id="wcb2bsa-statistics-daterange" value="<?php echo ( isset( $_POST['wcb2bsa-statistics-daterange'] ) ? sanitize_text_field( $_POST['wcb2bsa-statistics-daterange'] ) : '' ); ?>" placeholder="<?php esc_html_e( '-- Choose date range --', 'woocommerce-b2b-sales-agents' ); ?>" data-datepicker="true" autocomplete="off" readonly>
                </div>
            </div>
            <div class="col-sm-2">
                <div class="form-group">
                    <button class="btn btn-dark" type="submit" name="submit" value="1"><i class="fas fa-chart-bar mr-2"></i> <?php esc_html_e( 'Submit', 'woocommerce-b2b-sales-agents' ); ?></button>
                </div>
            </div>
        </div>
    </form>
</div>
<br />

<?php if ( $has_statistics ) : ?>
<div class="card card-body">
    <canvas class="chart" data-params="<?php echo esc_attr( $statistics ); ?>"></canvas>
</div>
<?php endif; ?>