<?php
/**
 * WooCommerce B2B Sales Agents MyAccount - View customer details
 *
 * @version 1.2.0
 */
?>

<?php defined( 'ABSPATH' ) || exit; ?>

<?php if ( ! $has_permission ) : ?>
<div class="alert alert-dark">
    <div><?php esc_html_e( 'This customer is not assigned to you', 'woocommerce-b2b-sales-agents' ); ?></div>
</div>
<?php return; endif; ?>

<div class="card-deck">
    <div class="card shadow-sm mb-4">
        <div class="card-body">
            <div class="card-title text-uppercase text-muted mb-2"><?php esc_html_e( 'Total orders number', 'woocommerce-b2b-sales-agents' ); ?></div>
            <div class="row align-items-center">
                <div class="col">
                    <span class="h2 mb-0"><?php echo wp_kses_post( wc_get_customer_order_count( $customer->get_ID() ) ); ?></span>
                </div>
                <div class="col-auto">
                    <div class="text-muted"><i class="fas fa-shopping-cart fa-3x"></i></div>
                </div>
            </div>
        </div>
    </div>
    <div class="card shadow-sm mb-4">
        <div class="card-body">
            <div class="card-title text-uppercase text-muted mb-2"><?php esc_html_e( 'Total spent amount', 'woocommerce-b2b-sales-agents' ); ?></div>
            <div class="row align-items-center">
                <div class="col">
                    <span class="h2 mb-0"><?php echo wp_kses_post( wc_price( wc_get_customer_total_spent( $customer->get_ID() ) ) ); ?></span>
                </div>
                <div class="col-auto">
                    <div class="text-muted"><i class="fas fa-hand-holding-usd fa-3x"></i></div>
                </div>
            </div>
        </div>
    </div>
    <div class="card shadow-sm mb-4">
        <div class="card-body">
            <div class="card-title text-uppercase text-muted mb-2"><?php esc_html_e( 'Date account created', 'woocommerce-b2b-sales-agents' ); ?></div>
            <div class="row align-items-center">
                <div class="col">
                    <span class="h2 mb-0"><?php echo wp_kses_post( wc_format_datetime( $customer->get_date_created() ) ); ?></span>
                </div>
                <div class="col-auto">
                    <div class="text-muted"><i class="fas fa-calendar fa-3x"></i></div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="card-deck">
    <div class="card shadow-sm mb-4">
        <div class="card-body">
            <div class="card-title text-uppercase text-muted mb-2"><?php esc_html_e( 'Customer data', 'woocommerce-b2b-sales-agents' ); ?></div>
            <div class="row align-items-center">
                <div class="col">
                    <?php printf( esc_html__( 'First name: %s', 'woocommerce-b2b-sales-agents' ), $customer->get_first_name() ); ?> 
                    <br />
                    <?php printf( esc_html__( 'Last name: %s', 'woocommerce-b2b-sales-agents' ), $customer->get_last_name() ); ?>
                    <br />
                    <?php printf( esc_html__( 'Email: %s', 'woocommerce-b2b-sales-agents' ), $customer->get_email() ); ?>
                </div>
            </div>
        </div>
    </div>
    <div class="card shadow-sm mb-4">
        <div class="card-body">
            <div class="card-title text-uppercase text-muted mb-2"><?php esc_html_e( 'Billing address', 'woocommerce-b2b-sales-agents' ); ?></div>
            <div class="row align-items-center">
                <div class="col">
                    <?php echo wp_kses_post( wc_get_account_formatted_address( 'billing', $customer->get_ID() ) ); ?>
                </div>
            </div>
        </div>
    </div>
    <div class="card shadow-sm mb-4">
        <div class="card-body">
            <div class="card-title text-uppercase text-muted mb-2"><?php esc_html_e( 'Shipping address', 'woocommerce-b2b-sales-agents' ); ?></div>
            <div class="row align-items-center">
                <div class="col">
                    <?php echo wp_kses_post( wc_get_account_formatted_address( 'shipping', $customer->get_ID() ) ); ?>
                </div>
            </div>
        </div>
    </div>
</div>
<br />

<?php if ( wcb2bsa_is_subagents_hierarchy_writable() ) : ?>
<div class="text-center text-sm-left">
    <form method="post">
        <input type="hidden" name="wcb2bsa_switch_to" value="<?php echo esc_attr( base64_encode( $customer->get_ID() ) ); ?>" readonly />
        <button class="btn btn-dark" type="submit">
            <i class="fas fa-sync-alt mr-2"></i> 
            <?php esc_html_e( 'Make an order for this customer', 'woocommerce-b2b-sales-agents' ); ?>
        </button>
    </form>
</div>
<?php endif; ?>