<?php
/**
 * WooCommerce B2B Sales Agents MyAccount - View subagent details
 *
 * @version 1.2.0
 */
?>

<?php defined( 'ABSPATH' ) || exit; ?>

<?php if ( ! $has_permission ) : ?>
<div class="alert alert-dark">
    <div><?php esc_html_e( 'This subagent is not assigned to you', 'woocommerce-b2b-sales-agents' ); ?></div>
</div>
<?php return; endif; ?>

<div class="card-deck">
    <div class="card shadow-sm mb-4">
        <div class="card-body">
            <div class="card-title text-uppercase text-muted mb-2"><?php esc_html_e( 'Total commissions', 'woocommerce-b2b-sales-agents' ); ?></div>
            <div class="row align-items-center">
                <div class="col">
                    <span class="h2 mb-0"><?php echo wp_kses_post( wc_price( wcb2bsa_get_total_commission_amount_by_sales_agent( $subagent->get_ID(), 'total' ) ) ); ?></span>
                </div>
                <div class="col-auto">
                    <div class="text-muted"><i class="fas fa-coins fa-3x"></i></div>
                </div>
            </div>
        </div>
    </div>
    <div class="card shadow-sm mb-4">
        <div class="card-body">
            <div class="card-title text-uppercase text-muted mb-2"><?php esc_html_e( 'Total paid commissions', 'woocommerce-b2b-sales-agents' ); ?></div>
            <div class="row align-items-center">
                <div class="col">
                    <span class="h2 mb-0"><?php echo wp_kses_post( wc_price( wcb2bsa_get_total_commission_amount_by_sales_agent( $subagent->get_ID(), 'paid' ) ) ); ?></span>
                </div>
                <div class="col-auto">
                    <div class="text-muted"><i class="fas fa-wallet fa-3x"></i></div>
                </div>
            </div>
        </div>
    </div>
    <div class="card shadow-sm mb-4">
        <div class="card-body">
            <div class="card-title text-uppercase text-muted mb-2"><?php esc_html_e( 'Total pending commissions', 'woocommerce-b2b-sales-agents' ); ?></div>
            <div class="row align-items-center">
                <div class="col">
                    <span class="h2 mb-0"><?php echo wp_kses_post( wc_price( wcb2bsa_get_total_commission_amount_by_sales_agent( $subagent->get_ID(), 'pending' ) ) ); ?></span>
                </div>
                <div class="col-auto">
                    <div class="text-muted"><i class="fas fa-piggy-bank fa-3x"></i></div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="card-deck">
    <div class="card shadow-sm mb-4">
        <div class="card-body">
            <div class="card-title text-uppercase text-muted mb-2"><?php esc_html_e( 'Total customers', 'woocommerce-b2b-sales-agents' ); ?></div>
            <div class="row align-items-center">
                <div class="col">
                    <span class="h2 mb-0"><?php echo wp_kses_post( wcb2bsa_get_customers_by_sales_agent( $subagent->get_ID() )->total_users ); ?></span>
                </div>
                <div class="col-auto">
                    <div class="text-muted"><i class="fas fa-users fa-3x"></i></div>
                </div>
            </div>
        </div>
    </div>
    <div class="card shadow-sm mb-4">
        <div class="card-body">
            <div class="card-title text-uppercase text-muted mb-2"><?php esc_html_e( 'Total orders number', 'woocommerce-b2b-sales-agents' ); ?></div>
            <div class="row align-items-center">
                <div class="col">
                    <span class="h2 mb-0"><?php echo wp_kses_post( wcb2bsa_get_orders_by_sales_agent( $subagent->get_ID() )->total ); ?></span>
                </div>
                <div class="col-auto">
                    <div class="text-muted"><i class="fas fa-shopping-cart fa-3x"></i></div>
                </div>
            </div>
        </div>
    </div>
    <div class="card shadow-sm mb-4">
        <div class="card-body">
            <div class="card-title text-uppercase text-muted mb-2"><?php esc_html_e( 'Total orders value', 'woocommerce-b2b-sales-agents' ); ?></div>
            <div class="row align-items-center">
                <div class="col">
                    <span class="h2 mb-0"><?php echo wp_kses_post( wc_price( wcb2bsa_get_total_commission_amount_by_sales_agent( $subagent->get_ID(), 'total' ) ) ); ?></span>
                </div>
                <div class="col-auto">
                    <div class="text-muted"><i class="fas fa-hand-holding-usd fa-3x"></i></div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="card-deck">
    <div class="card shadow-sm mb-4">
        <div class="card-body">
            <div class="card-title text-uppercase text-muted mb-2"><?php esc_html_e( 'Subagent data', 'woocommerce-b2b-sales-agents' ); ?></div>
            <div class="row align-items-center">
                <div class="col">
                    <?php printf( esc_html__( 'First name: %s', 'woocommerce-b2b-sales-agents' ), $subagent->get_first_name() ); ?> 
                    <br />
                    <?php printf( esc_html__( 'Last name: %s', 'woocommerce-b2b-sales-agents' ), $subagent->get_last_name() ); ?>
                    <br />
                    <?php printf( esc_html__( 'Email: %s', 'woocommerce-b2b-sales-agents' ), $subagent->get_email() ); ?>
                    <br />
                    <?php printf( esc_html__( 'Telephone: %s', 'woocommerce-b2b-sales-agents' ), $subagent->get_billing_phone() ); ?>
                </div>
            </div>
        </div>
    </div>
    <div class="card shadow-sm mb-4">
        <div class="card-body">
            <div class="card-title text-uppercase text-muted mb-2"><?php esc_html_e( 'Billing address', 'woocommerce-b2b-sales-agents' ); ?></div>
            <div class="row align-items-center">
                <div class="col">
                    <?php echo wp_kses_post( wc_get_account_formatted_address( 'billing', $subagent->get_ID() ) ); ?>
                </div>
            </div>
        </div>
    </div>
    <div class="card shadow-sm mb-4">
        <div class="card-body">
            <div class="card-title text-uppercase text-muted mb-2"><?php esc_html_e( 'Date account created', 'woocommerce-b2b-sales-agents' ); ?></div>
            <div class="row align-items-center">
                <div class="col">
                    <span class="h2 mb-0"><?php echo wp_kses_post( wc_format_datetime( $subagent->get_date_created() ) ); ?></span>
                </div>
                <div class="col-auto">
                    <div class="text-muted"><i class="fas fa-calendar fa-3x"></i></div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php if ( wcb2bsa_is_subagents_hierarchy_readable() ) : ?>
<br />
<div class="h5 text-uppercase text-muted mb-2"><?php esc_html_e( 'Customers', 'woocommerce-b2b-sales-agents' ); ?></div>
<div class="table-fluid small">
    <table class="table table-striped" data-render="datatables" data-dom='<"row"<"col-sm-6"l><"col-sm-6"p>><"small"i><"card shadow-sm my-3"tr><"row"<"col-sm-6"l><"col-sm-6"p>><"small"i>' data-name="customers">
        <thead>
            <tr class="text-uppercase text-muted">
                <th class="text-nowrap border-0"><?php esc_html_e( 'Name', 'woocommerce-b2b-sales-agents' ); ?></th>
                <th class="text-nowrap border-0"><?php esc_html_e( 'Surname', 'woocommerce-b2b-sales-agents' ); ?></th>
                <th class="text-nowrap border-0"><?php esc_html_e( 'Company', 'woocommerce-b2b-sales-agents' ); ?></th>
                <th class="text-nowrap border-0"><?php esc_html_e( 'Address', 'woocommerce-b2b-sales-agents' ); ?></th>
                <th class="text-nowrap border-0"><?php esc_html_e( 'City', 'woocommerce-b2b-sales-agents' ); ?></th>
                <th class="text-nowrap border-0"><?php esc_html_e( 'Country', 'woocommerce-b2b-sales-agents' ); ?></th>
                <th class="text-nowrap border-0"><?php esc_html_e( 'Email', 'woocommerce-b2b-sales-agents' ); ?></th>
                <th class="text-nowrap border-0"><?php esc_html_e( 'Telephone', 'woocommerce-b2b-sales-agents' ); ?></th>
                <th class="text-nowrap border-0"><?php esc_html_e( 'Total orders', 'woocommerce-b2b-sales-agents' ); ?></th>
                <th class="text-nowrap border-0"><?php esc_html_e( 'Total spent amount', 'woocommerce-b2b-sales-agents' ); ?></th>
                <th class="text-nowrap border-0 no-sort"></th>
            </tr>
        </thead>
        <tfoot>
            <tr class="search">
                <th></th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
                <th class="no-search"></th>
            </tr>
        </tfoot>
        <tbody>
        
            <?php foreach ( $customers->get_results() as $customer ) : ?>
            <tr>

                <?php
                    // Customer name
                    $raw = $formatted = $customer->user_firstname;
                    printf('<td data-title="%s" data-sort="%s">%s</td>',
                        esc_attr__( 'Name', 'woocommerce-b2b-sales-agents' ),
                        esc_html( $raw ),
                        wp_kses_post( $formatted )
                    );
                    // Customer lastname
                    $raw = $formatted = $customer->user_lastname;
                    printf('<td data-title="%s" data-sort="%s">%s</td>',
                        esc_attr__( 'Surname', 'woocommerce-b2b-sales-agents' ),
                        esc_html( $raw ),
                        wp_kses_post( $formatted )
                    );
                    // Customer company
                    $raw = $formatted = $customer->billing_company;
                    printf('<td data-title="%s" data-sort="%s">%s</td>',
                        esc_attr__( 'Company', 'woocommerce-b2b-sales-agents' ),
                        esc_html( $raw ),
                        wp_kses_post( $formatted )
                    );
                    // Customer address
                    $raw = $formatted = get_user_meta( $customer->ID, 'billing_address_1', true );
                    printf('<td data-title="%s" data-sort="%s">%s</td>',
                        esc_attr__( 'Address', 'woocommerce-b2b-sales-agents' ),
                        esc_html( $raw ),
                        wp_kses_post( $formatted )
                    );
                    // Customer city
                    $raw = $formatted = get_user_meta( $customer->ID, 'billing_city', true );
                    printf('<td data-title="%s" data-sort="%s">%s</td>',
                        esc_attr__( 'City', 'woocommerce-b2b-sales-agents' ),
                        esc_html( $raw ),
                        wp_kses_post( $formatted )
                    );
                    // Customer country
                    $raw = $formatted = get_user_meta( $customer->ID, 'billing_country', true );
                    printf('<td data-title="%s" data-sort="%s">%s</td>',
                        esc_attr__( 'Country', 'woocommerce-b2b-sales-agents' ),
                        esc_html( $raw ),
                        wp_kses_post( $formatted )
                    );
                    // Customer email
                    $raw = $formatted = $customer->user_email;
                    printf('<td data-title="%s" data-sort="%s">%s</td>',
                        esc_attr__( 'Email', 'woocommerce-b2b-sales-agents' ),
                        esc_html( $raw ),
                        wp_kses_post( $formatted )
                    );
                    // Customer telephone
                    $raw = $formatted = get_user_meta( $customer->ID, 'billing_phone', true );
                    printf('<td data-title="%s" data-sort="%s">%s</td>',
                        esc_attr__( 'Telephone', 'woocommerce-b2b-sales-agents' ),
                        esc_html( $raw ),
                        wp_kses_post( $formatted )
                    );
                    // Total orders
                    $raw = $formatted = wc_get_customer_order_count( $customer->ID );
                    printf('<td data-title="%s" data-sort="%s">%s</td>',
                        esc_attr__( 'Total orders', 'woocommerce-b2b-sales-agents' ),
                        esc_html( $raw ),
                        wp_kses_post( $formatted )
                    );
                    // Total orders amount
                    $raw = wc_get_customer_total_spent( $customer->ID );
                    $formatted = wc_price( $raw );
                    printf('<td data-title="%s" data-sort="%s">%s</td>',
                        esc_attr__( 'Total orders amount', 'woocommerce-b2b-sales-agents' ),
                        esc_html( $raw ),
                        wp_kses_post( $formatted )
                    );
                    // Button
                    printf('<td class="text-center"><a class="btn btn-dark btn-sm" href="%s">%s</a></td>',
                        esc_url( wcb2bsa_get_view_customer_url( $customer->ID ) ),
                        esc_html__( 'Details', 'woocommerce-b2b-sales-agents' )
                    );
                ?>

            </tr>    
            <?php endforeach; ?>

        </tbody>
    </table>
</div>
<br /><hr /><br />
<div class="h5 text-uppercase text-muted mb-2"><?php esc_html_e( 'Orders', 'woocommerce-b2b-sales-agents' ); ?></div>
<div class="table-fluid small">
    <table class="table table-striped" data-render="datatables" data-dom='<"row"<"col-sm-6"l><"col-sm-6"p>><"small"i><"card shadow-sm my-3"tr><"row"<"col-sm-6"l><"col-sm-6"p>><"small"i>' data-name="orders">
        <thead>
            <tr class="text-uppercase text-muted">
                <th class="text-nowrap border-0"><?php esc_html_e( 'Order reference', 'woocommerce-b2b-sales-agents' ); ?></th>
                <th class="text-nowrap border-0"><?php esc_html_e( 'Customer', 'woocommerce-b2b-sales-agents' ); ?></th>
                <th class="text-nowrap border-0"><?php esc_html_e( 'Company', 'woocommerce-b2b-sales-agents' ); ?></th>
                <th class="text-nowrap border-0"><?php esc_html_e( 'Total amount', 'woocommerce-b2b-sales-agents' ); ?></th>
                <th class="text-nowrap border-0"><?php esc_html_e( 'Date', 'woocommerce-b2b-sales-agents' ); ?></th>
                <th class="text-nowrap border-0"><?php esc_html_e( 'Status', 'woocommerce-b2b-sales-agents' ); ?></th>
                <th class="text-nowrap border-0"><?php esc_html_e( 'Payment method', 'woocommerce-b2b-sales-agents' ); ?></th>
                <th class="text-nowrap border-0"><?php esc_html_e( 'Subagent commission', 'woocommerce-b2b-sales-agents' ); ?></th>
                <th class="text-nowrap border-0"><?php esc_html_e( 'Your earning', 'woocommerce-b2b-sales-agents' ); ?></th>
                <th class="text-nowrap border-0 no-sort"></th>
            </tr>
        </thead>
        <tfoot>
            <tr class="search">
                <th></th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
                <th class="no-search"></th>
            </tr>
        </tfoot>
        <tbody>
        
            <?php foreach ( $orders->orders as $order ) : ?>
            <tr>

                <?php
                    // Order reference
                    $raw = $formatted = $order->get_order_number();
                    printf('<td data-title="%s" data-sort="%s">#%s</td>',
                        esc_attr__( 'Order reference', 'woocommerce-b2b-sales-agents' ),
                        esc_html( $raw ),
                        wp_kses_post( $formatted )
                    );
                    // Customer
                    $raw = $formatted = sprintf( '%s %s',
                        $order->get_billing_last_name(),
                        $order->get_billing_first_name()
                    );
                    printf('<td data-title="%s" data-sort="%s">%s</td>',
                        esc_attr__( 'Customer', 'woocommerce-b2b-sales-agents' ),
                        esc_html( $raw ),
                        wp_kses_post( $formatted )
                    );
                    // Company
                    $raw = $formatted = $order->get_billing_company();
                    printf('<td data-title="%s" data-sort="%s">%s</td>',
                        esc_attr__( 'Company', 'woocommerce-b2b-sales-agents' ),
                        esc_html( $raw ),
                        wp_kses_post( $formatted )
                    );
                    // Total amount
                    $raw = $order->get_total();
                    $formatted = $order->get_formatted_order_total( '', false );
                    printf('<td data-title="%s" data-sort="%s">%s</td>',
                        esc_attr__( 'Total amount', 'woocommerce-b2b-sales-agents' ),
                        esc_html( $raw ),
                        wp_kses_post( $formatted )
                    );
                    // Datetime
                    $raw = wc_format_datetime( $order->get_date_created(), 'YmdHis' );
                    $formatted = wc_format_datetime( $order->get_date_created() );
                    printf('<td data-title="%s" data-sort="%s">%s</td>',
                        esc_attr__( 'Date', 'woocommerce-b2b-sales-agents' ),
                        esc_html( $raw ),
                        wp_kses_post( $formatted )
                    );
                    // Status
                    $raw = $formatted = wc_get_order_status_name( $order->get_status() );
                    printf('<td data-title="%s" data-sort="%s">%s</td>',
                        esc_attr__( 'Date', 'woocommerce-b2b-sales-agents' ),
                        esc_html( $raw ),
                        wp_kses_post( $formatted )
                    );
                    // Payment method
                    $raw = $formatted = wc_get_order_status_name( $order->get_payment_method_title() );
                    printf('<td data-title="%s" data-sort="%s">%s</td>',
                        esc_attr__( 'Payment method', 'woocommerce-b2b-sales-agents' ),
                        esc_html( $raw ),
                        wp_kses_post( $formatted )
                    );
                    // Commission
                    $raw = wcb2bsa_get_order_commission_amount_by_sales_agent( $order->get_id(), $subagent->get_ID() );
                    $formatted = wc_price( $raw );
                    printf('<td data-title="%s" data-sort="%s">%s</td>',
                        esc_attr__( 'Subagent commission', 'woocommerce-b2b-sales-agents' ),
                        esc_html( $raw ),
                        wp_kses_post( $formatted )
                    );
                    // Commission
                    $raw = wcb2bsa_get_order_commission_amount_by_sales_agent( $order->get_id(), get_current_user_id() );
                    $formatted = wc_price( $raw );
                    printf('<td data-title="%s" data-sort="%s">%s</td>',
                        esc_attr__( 'Your commission', 'woocommerce-b2b-sales-agents' ),
                        esc_html( $raw ),
                        wp_kses_post( $formatted )
                    );
                    // Button
                    printf('<td class="text-center"><a class="btn btn-dark btn-sm" href="%s">%s</a></td>',
                        esc_url( wcb2bsa_get_view_order_url( $order->get_ID() ) ),
                        esc_html__( 'Details', 'woocommerce-b2b-sales-agents' )
                    );
                ?>

            </tr>    
            <?php endforeach; ?>

        </tbody>
    </table>
</div>
<?php endif; ?>