<?php
/**
 * WooCommerce B2B Sales Agents MyAccount - Template
 *
 * @version 1.1.4
 */
?>

<?php defined( 'ABSPATH' ) || exit; ?>

<!doctype html>
<html <?php language_attributes(); ?>>
    <head>
        <meta charset="<?php bloginfo( 'charset' ); ?>" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title><?php wp_title(); ?></title>

        <?php wp_site_icon(); ?>

        <?php do_action( 'wcb2bsa_print_styles' ); ?>

    </head>
    <body>
        
        <?php the_post(); the_content(); ?>

        <div class="loader-mask">
            <div class="loader">
                <p><?php esc_html_e( 'Loading, please wait', 'woocommerce-b2b-sales-agents' ); ?></p>
                <div>
                    <div></div>
                    <div></div>
                </div>
            </div>
        </div>
        <script type="text/javascript">
            var parameters = { 'dt_i18n_url': '<?php echo apply_filters( 'wcb2bsa_dt_i18n_folder', WCB2BSA_PLUGIN_URI . 'assets/vendor/datatables/i18n/' . get_locale() . '.json' ); ?>', 'datetime': '<?php echo date( 'YmdHis' ); ?>', 'drp_i18n': '<?php echo wcb2bsa_get_drp_i18n(); ?>' };
        </script>

        <?php do_action( 'wcb2bsa_print_scripts' ); ?>

    </body>
</html>