<?php

/**
 * WooCommerce B2B Sales Agents Uninstall
 *
 * Uninstalling WooCommerce deletes user roles and options
 *
 * @version 1.3.2
 */

// Exit if accessed directly
defined( 'WP_UNINSTALL_PLUGIN' ) || exit;

global $wpdb;

// Delete version and settings
delete_option( 'wcb2bsa_version' );
delete_option( 'wcb2bsa_email_data' );
delete_option( 'wcb2bsa_myaccount_data' );
delete_option( 'wcb2bsa_order_item_types_eligible_for_commission' );
delete_option( 'wcb2bsa_only_direct_orders' );
delete_option( 'wcb2bsa_edit_customer_data' );
delete_option( 'wcb2bsa_edit_prices' );
delete_option( 'wcb2bsa_commission_column' );
delete_option( 'wcb2bsa_default_sales_agent' );
delete_option( 'wcb2bsa_dashboard_page' );
delete_option( 'wcb2bsa_enable_affiliation' );
delete_option( 'wcb2bsa_allow_new_customers' );
delete_option( 'wcb2bsa_allow_new_subagents' );
delete_option( 'wcb2bsa_update_order_status' );
delete_option( 'wcb2bsa_add_order_note' );
delete_option( 'wcb2bsa_dashboard_widgets' );
delete_option( 'wcb2bsa_dashboard_charts' );
delete_option( 'wcb2bsa_logo' );
delete_option( 'wcb2bsa_enable_affiliation' );
delete_option( 'wcb2bsa_extend_new_customers_form' );
delete_option( 'wcb2bsa_extend_new_subagents_form' );
delete_option( 'wcb2bsa_default_sales_agent' );
delete_option( 'wcb2bsa_only_direct_orders' );
delete_option( 'wcb2bsa_edit_prices' );
delete_option( 'wcb2bsa_show_estimated_earnings' );
delete_option( 'wcb2bsa_show_stock' );
delete_option( 'wcb2bsa_moderate_registration' );
delete_option( 'wcb2bsa_registration_notice' );
delete_option( 'wcb2bsa_has_role_customer' );
delete_option( 'wcb2bsa_has_role_sales_agent' );

// Delete endpoints options
delete_option( 'wcb2bsa_account_subagents_endpoint' );
delete_option( 'wcb2bsa_account_customers_endpoint' );
delete_option( 'wcb2bsa_account_orders_endpoint' );
delete_option( 'wcb2bsa_account_earnings_endpoint' );
delete_option( 'wcb2bsa_account_commissions_endpoint' );
delete_option( 'wcb2bsa_account_notifications_endpoint' );
delete_option( 'wcb2bsa_account_statistics_endpoint' );
delete_option( 'wcb2bsa_account_view_subagent_endpoint' );
delete_option( 'wcb2bsa_account_view_customer_endpoint' );
delete_option( 'wcb2bsa_account_view_order_endpoint' );
delete_option( 'wcb2bsa_account_edit_account_endpoint' );
delete_option( 'wcb2bsa_account_logout_endpoint' );

// Remove roles
remove_role( 'sales_agent' );

// Delete post data
$wpdb->query( "DELETE FROM {$wpdb->postmeta} WHERE meta_key IN ( 'wcb2bsa_sales_agent', 'wcb2bsa_commission', 'wcb2bsa_commissions', 'wcb2bsa_commission_amount', 'wcb2bsa_order_item_types_eligible_for_commission', 'wcb2bsa_created_by', 'wcb2bsa_min_price', '_wcb2bsa_coupon_sales_agents' );" );
$wpdb->query( "DELETE FROM {$wpdb->usermeta} WHERE meta_key IN ( 'wcb2bsa_sales_agent', 'wcb2bsa_sales_agent_parent', 'wcb2bsa_commission', 'wcb2bsa_subcommission', 'wcb2bsa_order_notification', 'wcb2bsa_customers_default_group' );" );
$wpdb->query( "DELETE FROM {$wpdb->usermeta} WHERE meta_key LIKE 'wcb2bsa_read_notification_%'; OR meta_key IN ( 'wcb2bsa_payment_method', 'wcb2bsa_payment_method_info', 'wcb2bsa_status' );" );
$wpdb->query( "DELETE FROM {$wpdb->prefix}woocommerce_order_itemmeta WHERE meta_key IN ( 'wcb2bsa_item_commission', 'wcb2bsa_custom_price' );" );
$wpdb->query( "DELETE FROM {$wpdb->prefix}woocommerce_order_itemmeta WHERE meta_key LIKE ( 'wcb2bsa_item_commission%' );" );
$wpdb->query( "DELETE FROM {$wpdb->options} WHERE option_name LIKE 'wcb2bsa\_switched\_%';" );

// Clear any cached data that has been removed
flush_rewrite_rules();
wp_cache_flush();